System.Security 2.0.0.0 4.0.0.0 System.Security.Cryptography.Xml.Transform

The class provides a transform that determines the order of XML Digital Signature and XML Encryption operations when both are performed on the same document.

Use the class whenever you need to perform XML encryption and apply an XML digital signature to the same XML document.

You must pass an object to the property that contains the necessary key information to decrypt the document.

Specifies the order of XML Digital Signature and XML Encryption operations when both are performed on the same document.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Adds a Uniform Resource Identifier (URI) to exclude from processing.

  A Uniform Resource Identifier (URI) to exclude from processing
- Property
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.Xml.EncryptedXml To be added.

  You must pass an object to the property that contains the necessary key information to decrypt the document.

  Gets or sets an object that contains information about the keys necessary to decrypt an XML document.

- Method
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNodeList To be added.

  Returns an XML representation of the parameters of an object that are suitable to be included as subelements of an XMLDSIG <Transform> element.

  A list of the XML nodes that represent the transform-specific content needed to describe the current object in an XMLDSIG <Transform> element.

- Method
  2.0.0.0
  4.0.0.0
  System.Object To be added.

  Returns the output of the current object.

  The output of the current object.

- Method
  2.0.0.0
  4.0.0.0
  System.Object `` To be added.

  Returns the output of the current object.

  The output of the current object.

  The type of the output to return. is the only valid type for this parameter.
- Property
  2.0.0.0
  4.0.0.0
  System.Type[] To be added.

  The array returned by the property must contain at least one element because every object must accept at least one type as valid input.

  An object typically accepts one or more of the following types as input: , , or .

  Gets an array of types that are valid inputs to the method of the current object.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added.

  Determines whether the ID attribute of an object matches a specified value.

  true if the ID attribute of the parameter matches the parameter; otherwise, false.

  An object with an ID attribute to compare with . The value to compare with the ID attribute of .
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method is used to process subelements of a <Transform> element.

  Parses the specified object as transform-specific content of a <Transform> element and configures the internal state of the current object to match the <Transform> element.

  An object that specifies transform-specific content for the current object.
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  The type of the input object must be one of the types in the property.

  When overridden in a derived class, loads the specified input into the current object.

  The input to load into the current object.
- Property
  2.0.0.0
  4.0.0.0
  System.Type[] To be added.

  The array returned by the property must contain at least one element because every transform must generate at least one type as output.

  Gets an array of types that are possible outputs from the methods of the current object.